/* SCE CONFIDENTIAL
PLAYSTATION(R)3 Programmer Tool Runtime Library 084.006
* Copyright (C) 2004 Sony Computer Entertainment Inc. 
* All Rights Reserved.
*/
// recipf4 - for each of four float slots, compute reciprocal.
                                                                  
_FUNC_DEF(
   vec_float4,
   recipf4,
   ( vec_float4 x ))
{ 
   // Reciprocal estimate and 1 Newton-Raphson iteration.
 
   vec_float4 y0;

   y0 = vec_re( x );
   return vec_madd( vec_nmsub( x, y0, (vec_float4)(1.0f) ), y0, y0 );
}

